OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | List of all members
match_const< T, ReferenceT > Struct Template Reference

Trait used to transfer the const-ness of a reference type to another type. More...

`#include <nanovdb/NanoVDB.h>`

## Public Types
using | type = typename remove_const<T>::type

## Detailed Description

template<typename T, typename ReferenceT>
struct nanovdb::match_const< T, ReferenceT >

Trait used to transfer the const-ness of a reference type to another type.

Template Parameters

  T | Type whose const-ness needs to match the reference type
  ReferenceT | Reference type that is not const

match_const<const int, float>::type = int match_const<int, float>::type = int

## Member Typedef Documentation

## ◆ type

template<typename T , typename ReferenceT >

using type = typename remove_const<T>::type